<%@ page contentType="text/html; charset=UTF-8" %>
<!DOCTYPE html>  
<html>
  <head>
    <meta charset="utf-8"/>

    <link rel="stylesheet" href="../js/jquery-ui-1.11.2.smoothness/jquery-ui.min.css" />
    <link rel="stylesheet" href="style.css" />

    <script src="../../js/jquery-1.11.1.min.js"></script>
    <script src="../../js/jquery-ui-1.11.2.smoothness/jquery-ui.js"></script>

<!--
    <script src="../../similarity-2d/js-lib/Colour.js"></script>
-->

    <script src="display-svg.js"></script>

    <script>
      $(function() {

        if (!is_jsp_active) {
          var mess = "<div>Web server is not JSP active.  Unable to display dynamic list of Kiwiana images</div>";
          $('#kiwianaArea').append(mess);
        }
      
        displayFlags(img_list,$('#kiwianaArea'));

      });
    </script>


    <title>Kiwiana Shape Library</title>

  </head>

  <body>

    <div style="display: none;">

      <!-- 
	 Set up a fallback position in case this page is accessed outside
	 of a JSP context (i.e., the JSP blocks aren't executed) 
	-->
      <script>
	var is_jsp_active = false;
	var img_list = [ "import/nz.gif" ];
      </script>

      <%@include file="../../similarity-2d/flag-functions.jsp" %>

      <!-- If JSP active, sets 'is_jsp_active' to true -->
      <%@include file="list-kiwiana.jsp" %>

    </div>

   <div id="progressArea" style="display: none;">
     <span id="loadingLabel">Loading: </span>
     <div id="progressBar"></div>
   </div>

   <div id="kiwianaArea"></div>

   <div id="go-to-dl" style="display: none;">
     Visit the digital library collection of all the world's flags: <a href="/greenstone3/library/collection/world-flags/browse/CL1" target="dl">more ...</a>
   </div>

   <div id="go-to-nz-dl" style="display: none;">
     Visit the digital library collection of alternative New Zealand flag deisgns: <a href="http://localhost:8383/greenstone3/library/collection/aotearoa/browse/CL1" target="dl">more ...</a>
   </div>


    <script>
      function getParameterByName(name) {
        name = name.replace(/[\[]/, "\\[").replace(/[\]]/, "\\]");
        var regex = new RegExp("[\\?&]" + name + "=([^&#]*)"),
        results = regex.exec(location.search);
        return results === null ? "" : decodeURIComponent(results[1].replace(/\+/g, " "));
      }

      //var mode = $.urlParam('mode');
      var mode = getParameterByName('mode');

/*
      console.log("*** mode = " + mode);
      if (mode && mode == "nz") {
        document.getElementById('go-to-nz-dl').style.display="block";
        //$('#go-to-nz-dl').show();
      }
      else {
        document.getElementById('go-to-dl').style.display="block";
        //$('#go-to-dl').show();
      }     
*/

    </script>

  </body>

</html>
